linux: 3.8.0-31.46 -proposed tracker

Bug #1223406 reported by Brad Figg on 2013-09-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Tim Gardner
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Raring
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-31.45 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 10. September 2013 15:20 UTC
kernel-stable-Prepare-package-end:Wednesday, 11. September 2013 01:54 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 11. September 2013 01:54 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 11. September 2013 04:02 UTC
kernel-stable-Verification-testing-start:Wednesday, 11. September 2013 07:01 UTC
kernel-stable-Verification-testing-end:Monday, 23. September 2013 15:01 UTC
kernel-stable-Certification-testing-start:Monday, 23. September 2013 15:01 UTC
kernel-stable-Security-signoff-start:Monday, 23. September 2013 15:01 UTC
kernel-stable-Regression-testing-start:Monday, 23. September 2013 15:01 UTC
kernel-stable-Security-signoff-end:Wednesday, 25. September 2013 00:01 UTC
kernel-stable-Regression-testing-end:Wednesday, 25. September 2013 15:01 UTC
kernel-stable-Promote-to-updates-start:Thursday, 26. September 2013 12:01 UTC
kernel-stable-Certification-testing-end:Thursday, 26. September 2013 12:01 UTC
kernel-stable-Promote-to-updates-end:Friday, 27. September 2013 10:02 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 27. September 2013 12:01 UTC

CVE References

Brad Figg (brad-figg) on 2013-09-10
tags: added: kernel-release-tracking-bug
tags: added: raring
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Raring):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-09-10
description: updated
Brad Figg (brad-figg) on 2013-09-10
description: updated
Adam Conrad (adconrad) on 2013-09-11
summary: - linux: 3.8.0-31.45 -proposed tracker
+ linux: 3.8.0-31.46 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lowlatency - bug 1223626
linux-ppc - bug 1223627

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-raring (precise) - bug 1223628

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-09-11
description: updated
Brad Figg (brad-figg) on 2013-09-11
description: updated
Brad Figg (brad-figg) on 2013-09-23
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-09-25
description: updated
Para Siva (psivaa) on 2013-09-25
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-09-25
description: updated

Hardware Certification have begun testing this -proposed kernel.

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/raring/3.8.0-31.46/raring-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-09-26
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (15.3 KiB)

This bug was fixed in the package linux - 3.8.0-31.46

---------------
linux (3.8.0-31.46) raring; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1223406

  * UBUNTU: [Config] KUSER_HELPERS=y for armhf

  [ Upstream Kernel Changes ]

  * Revert "cpuidle: Quickly notice prediction failure in general case"
    - LP: #1221794
  * Revert "cpuidle: Quickly notice prediction failure for repeat mode"
    - LP: #1221794
  * Revert "zram: use zram->lock to protect zram_free_page() in swap free
    notify path"
    - LP: #1215513
  * x86 thermal: Delete power-limit-notification console messages
    - LP: #1215748
  * x86 thermal: Disable power limit notification interrupt by default
    - LP: #1215748
  * mwifiex: do not create AP and P2P interfaces upon driver loading
    - LP: #1212720
  * ARM: 7810/1: perf: Fix array out of bounds access in
    armpmu_map_hw_event()
    - LP: #1216442
    - CVE-2013-4254
  * ARM: 7809/1: perf: fix event validation for software group leaders
    - LP: #1216442
    - CVE-2013-4254
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * veth: fix a NULL deref in netif_carrier_off
    - LP: #1201869
  * veth: fix NULL dereference in veth_dellink()
    - LP: #1201869
  * Bluetooth: Add support for Atheros [0cf3:3121]
    - LP: #1202477
  * uvcvideo: quirk PROBE_DEF for Dell SP2008WFP monitor.
    - LP: #1217957
  * usb: dwc3: gadget: don't prevent gadget from being probed if we fail
    - LP: #1221794
  * usb: dwc3: fix wrong bit mask in dwc3_event_type
    - LP: #1221794
  * ASoC: max98088 - fix element type of the register cache.
    - LP: #1221794
  * ata: Fix DVD not dectected at some platform with Wellsburg PCH
    - LP: #1221794
  * Tools: hv: KVP: Fix a bug in IPV6 subnet enumeration
    - LP: #1221794
  * ALSA: usb-audio: 6fire: return correct XRUN indication
    - LP: #1221794
  * usb: serial: cp210x: Add USB ID for Netgear Switches embedded serial
    adapter
    - LP: #1221794
  * USB: storage: Add MicroVault Flash Drive to unusual_devs
    - LP: #1221794
  * USB: misc: Add Manhattan Hi-Speed USB DVI Converter to sisusbvga
    - LP: #1221794
  * USB: option: append Petatel NP10T device to GSM modems list
    - LP: #1221794
  * usb: cp210x support SEL C662 Vendor/Device
    - LP: #1221794
  * USB: cp210x: add MMB and PI ZigBee USB Device Support
    - LP: #1221794
  * USB: EHCI: Fix resume signalling on remote wakeup
    - LP: #1221794
  * drm/radeon: fix endian issues with DP handling (v3)
    - LP: #1221794
  * drm/radeon: Another card with wrong primary dac adj
    - LP: #1221794
  * drm/radeon: improve dac adjust heuristics for legacy pdac
    - LP: #1221794
  * drm/radeon: fix combios tables on older cards
    - LP: #1221794
  * ARM: footbridge: fix overlapping PCI mappings
    - LP: #1221794
  * [SCSI] isci: Fix a race condition in the SSP task management path
    - LP: #1221794
  * [SCSI] qla2xxx: Properly set the tagging for commands.
    - LP: #1221794
  * [SCSI] sd: fix crash when UA received on DIF enabled device
    - LP: #1221794
  * nfsd: nfsd_open: when dentry_ope...

Changed in linux (Ubuntu Raring):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-09-27
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers